"""Exceptions classes for ccnode."""


class CCNodeError(Exception):
    pass


class PluginError(CCNodeError):
    pass


class UndefinedDomain(CCNodeError):
    pass


class PoolStorageError(CCNodeError):
    pass


class TunnelError(CCNodeError):
    pass


class DRBDAllocationError(CCNodeError):
    """Cannot create DRBD volume."""
    pass


class DRBDError(CCNodeError):
    pass


class ConsoleAlreadyOpened(CCNodeError):
    pass


class VMMigrationError(CCNodeError):
    pass
